Subject: [PATCH V4 0/9] Add mandatory regulator for all users of pwm-backlight.

From: [email-masked] (Tony Prisk)
Date: Wed, 20 Mar 2013 20:13:08 +1300

On Wed, 2013-03-20 at 11:24 +0900, Alex Courbot wrote:
> On 03/20/2013 11:14 AM, Shawn Guo wrote:
> > On Tue, Mar 19, 2013 at 11:59:24AM -0700, Andrew Chew wrote:
> >> Many backlights are enabled via GPIO.  We can generalize the GPIO to a
> >> fixed regulator.
> >>
> > I think we should push the series of "Runtime Interpreted Power
> > Sequences" moving forward, which should be useful this case and many
> > other cases as well.
> >
> > http://thread.gmane.org/gmane.linux.kernel/1395912
> 
> That's still the medium-term plan. But doing this correctly requires 
> some improvements to be done in the GPIO subsystem, which I am pushing 
> at the moment.
> 
> Eventually power sequences should handle this kind of scenario, but by 
> the meantime it cannot hurt to get the job done.
> 
> Alex.

I don't mind this patch personally, so take this query as more of a
'generalization' than a problem with this patch:

This patch changes the binding for an already used device (by addition
of a required property), which isn't so bad BUT, as Alex pointed out,
the binding will probably end up being changed again once power
sequencing is sorted out.

I realise it's still early days and things need to be tried-and-tested
first, but wasn't the point of the bindings that they should be
finalized (as best as possible anyway) the first time, so we don't have
to worry about incompatibilities between bindings and drivers?

Regards

Tony P